petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMLocalizeCoordinates

If a mesh is periodic, create local coordinates for cells having periodic faces

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMLocalizeCoordinates(DM dm)

Collective on dm

### Input Parameter

dm -The DM

### See Also

DMSetPeriodicity(), DMLocalizeCoordinate(), DMLocalizeAddCoordinate()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/dm/impls/forest/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages